Get export
Returns information about a single export.
GET
/
organizations
/
{organizationId}
/
exports
/
{exportId}
Get export
curl --request GET \
--url https://stage-api.findity.com/api/v1/connect/organizations/{organizationId}/exports/{exportId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://stage-api.findity.com/api/v1/connect/organizations/{organizationId}/exports/{exportId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://stage-api.findity.com/api/v1/connect/organizations/{organizationId}/exports/{exportId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-api.findity.com/api/v1/connect/organizations/{organizationId}/exports/{exportId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://stage-api.findity.com/api/v1/connect/organizations/{organizationId}/exports/{exportId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://stage-api.findity.com/api/v1/connect/organizations/{organizationId}/exports/{exportId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-api.findity.com/api/v1/connect/organizations/{organizationId}/exports/{exportId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "5872b62a126d458cb385b955c52bc5b2",
"dateCreated": "2019-11-01T07:38:23Z",
"lastUpdated": "2019-11-01T07:38:23Z",
"bookingDate": null,
"organizationId": "8ab28c4f6e238a35016e25d39cc60048",
"recipientId": "8ab28c4f6e238a35016e25d39e00004b",
"exportedByEmail": "example@findity.com",
"hasContent": false,
"status": "PROCESSED",
"accountingBasisUrl": "https://expense.findity.com/api/admin/expensereports/accountingbasis/5872b62a126d458cb385b955c52bc5b2"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id of the organization of the user UUID without dashes (32-character hex string)
Pattern:
^[0-9a-fA-F]{32}$The external export id UUID without dashes (32-character hex string)
Pattern:
^[0-9a-fA-F]{32}$Response
OK
Booking date of the export's vouchers. Null, or omitted in the list response, when not set.
PENDING until the export has been processed, then PROCESSED. Clients should tolerate other values.
Example:
"PROCESSED"
⌘I
Get export
curl --request GET \
--url https://stage-api.findity.com/api/v1/connect/organizations/{organizationId}/exports/{exportId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://stage-api.findity.com/api/v1/connect/organizations/{organizationId}/exports/{exportId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://stage-api.findity.com/api/v1/connect/organizations/{organizationId}/exports/{exportId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-api.findity.com/api/v1/connect/organizations/{organizationId}/exports/{exportId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://stage-api.findity.com/api/v1/connect/organizations/{organizationId}/exports/{exportId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://stage-api.findity.com/api/v1/connect/organizations/{organizationId}/exports/{exportId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-api.findity.com/api/v1/connect/organizations/{organizationId}/exports/{exportId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "5872b62a126d458cb385b955c52bc5b2",
"dateCreated": "2019-11-01T07:38:23Z",
"lastUpdated": "2019-11-01T07:38:23Z",
"bookingDate": null,
"organizationId": "8ab28c4f6e238a35016e25d39cc60048",
"recipientId": "8ab28c4f6e238a35016e25d39e00004b",
"exportedByEmail": "example@findity.com",
"hasContent": false,
"status": "PROCESSED",
"accountingBasisUrl": "https://expense.findity.com/api/admin/expensereports/accountingbasis/5872b62a126d458cb385b955c52bc5b2"
}
